{{page-title "Deposit"}}
<div class="input-dialog">
  <div class="input-dialog-head">
    <h3>Deposit</h3>
  </div>
  <form {{action "submitForm" on="submit"}}>
    <div class="alert alert-danger" role="alert">
      Note: Funds will be added after only after the payment has been verified internally.
    </div>
    <div>
      <input type="text" class="form-control" name="txn_type" id="txn_type" aria-describedby="txn_type" value="deposit" required readonly hidden>
      <div class="form-group">
        <label for="qr">Scan the QR below to add funds into your BankApp account</label>
        <div style="text-align: center">
          <img src="https://upload.wikimedia.org/wikipedia/commons/5/5b/Qrcode_wikipedia.jpg?20110112164952" alt="qr" style="width: 200px; height: 200px"/>
        </div>
      </div>

      <div class="form-group">
        <label for="txn_amt">Transaction Amount</label>
        <input type="number" class="form-control" name="txn_amt" id="txn_amt" aria-describedby="txn_amt" placeholder="Enter Amount" required min="10" max="20000">
      </div>
      <div class="form-check">
        <input class="form-check-input mb-2 mt-3" type="checkbox" value="" name="agreeTnc" id="agreeTnc" required>
        <label class="form-check-label mb-2 mt-2" for="agreeTnc" id="agreeTncLabel" style="font-size: 0.8rem">
          I confirm that I have cross-checked the amount and beneficiary, and understand that this operation cannot be reversed.
        </label>
      </div>
      <div class="form-check">
        <input class="form-check-input mb-2 mt-3" type="checkbox" value="" name="agreeTnc1" id="agreeTnc1" required>
        <label class="form-check-label mb-2 mt-2" for="agreeTnc1" id="agreeTncLabel1" style="font-size: 0.8rem">
          I agree that the funds would only be visible into the account once they have been verified.
        </label>
      </div>
      <div class="text-center">
        <button type="submit" class="btn btn-primary" id="submitForm">Submit</button>
      </div>
    </div>
  </form>
</div>